%global alt_name GPaste

Name:           gpaste
Version:        2.5
Release:        2%{?dist}
Summary:        Clipboard management system

Group:          User Interface/Desktops
License:        GPLv3+
URL:            https://github.com/Keruspe/GPaste
Source0:        https://github.com/downloads/Keruspe/%{alt_name}/%{name}-%{version}.tar.xz

BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  intltool
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description
gpasted is a clipboard management daemon with DBus interface. gpaste is its CLI
client and gpaste-settings is a tool to edit gpasted settings.


%package libs
Summary:        Library to manage the clipboard history
Group:          User Interface/Desktops

%description libs
libgpaste is a library to manage the clipboard history (used by gpasted).


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package -n gnome-shell-extension-%{name}
Summary:        GNOME Shell extension for GPaste
Group:          User Interface/Desktops
Requires:       gnome-shell >= 3.3.5
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description -n gnome-shell-extension-%{name}
%{summary}.


%prep
%setup -q


%build
# Applet disabled since it is unusable in GNOME 3
%configure \
  --disable-schemas-compile \
  --disable-applet
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/*.la

# Fix Rpath issues
chrpath --delete $RPM_BUILD_ROOT%{_libexecdir}/%{name}/gpasted
chrpath --delete $RPM_BUILD_ROOT%{_libexecdir}/%{name}/gpaste-settings

# Install bash/zsh completion support
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/
install -pm 0644 data/completions/%{name} -t $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/
install -d $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions/
install -pm 0644 data/completions/_%{name} -t $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions/

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-settings.desktop

%find_lang %{alt_name}


%post libs -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig


%postun
if [ $1 -eq 0 ]; then
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi


%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{alt_name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_datadir}/applications/%{name}-settings.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/vala/vapi/*
%{_datadir}/zsh/
%{_mandir}/man1/%{name}.1.*
%{_sysconfdir}/bash_completion.d/


%files libs
%{_libdir}/girepository-1.0/%{alt_name}-1.0.typelib
%{_libdir}/*.so.*


%files devel
%{_datadir}/gir-1.0/*.gir
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%files -n gnome-shell-extension-%{name}
%{_datadir}/gnome-shell/extensions/GPaste@gnome-shell-extensions.gnome.org/


%changelog
* Sun Apr 08 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.5-2
- Fix Group and Requires tags in subpackages

* Fri Mar 30 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.5-1
- Update to 2.5

* Sat Jan 07 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.2.1-1
- Update to 2.2.1

* Fri Dec 09 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.1-1
- Update to 2.1

* Tue Nov 29 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.0-1
- Update to 2.0

* Sun Sep 25 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.6-1
- Update to 1.6
- Remove no longer needed gpaste-1.5-DOS.patch patch

* Wed Sep 14 2011 Mohamed El Morabity <melmorabity@fedorapeople.org> - 1.5-1
- Update to 1.5
- Remove gpaste-1.3-remove_applet_refs.patch patch (there is no more reference
  to the GNOME 2 applet in documentation and completion files)
- Add gpaste-1.5-DSO.patch to fix DSO linking

* Sat Sep 03 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.3-1
- Update to 1.3

* Sun Jul 10 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.2-1
- Update to 1.2

* Sat Jun 25 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.99-1.17dd47git
- Initial RPM release
